glibmm 2.60.0

Public Types | Public Member Functions | List of all members
Glib::DirIterator Class Reference
File Utilities

The iterator type of Glib::Dir. More...

`#include <glibmm/fileutils.h>`

## Public Types
typedef std::input_iterator_tag | iterator_category
typedef std::string | value_type
typedef int | difference_type
typedef value_type | reference
typedef void | pointer

## Public Member Functions
| DirIterator ()
std::string | operator* () const
DirIterator& | operator++ ()
void | operator++ (int)
bool | operator== (const DirIterator& rhs) const
bool | operator!= (const DirIterator& rhs) const

## Detailed Description

The iterator type of Glib::Dir.

## Member Typedef Documentation

## ◆ difference_type

typedef int Glib::DirIterator::difference_type

## ◆ iterator_category

typedef std::input_iterator_tag Glib::DirIterator::iterator_category

## ◆ pointer

typedef void Glib::DirIterator::pointer

## ◆ reference

typedef value_type Glib::DirIterator::reference

## ◆ value_type

typedef std::string Glib::DirIterator::value_type

## Constructor & Destructor Documentation

## ◆ DirIterator()

Glib::DirIterator::DirIterator | ( |  | ) |

## Member Function Documentation

## ◆ operator *()

std::string Glib::DirIterator::operator * | ( |  | ) | const

## ◆ operator!=()

bool Glib::DirIterator::operator!= | ( | const DirIterator& | rhs | ) | const

## ◆ operator++() [1/2]

DirIterator& Glib::DirIterator::operator++ | ( |  | ) |

## ◆ operator++() [2/2]

void Glib::DirIterator::operator++ | ( | int |  | ) |

Note
  DirIterator has input iterator semantics, which means real postfix increment is impossible. The return type is `void` to prevent surprising behaviour.

## ◆ operator==()

bool Glib::DirIterator::operator== | ( | const DirIterator& | rhs | ) | const